package example;

import javax.xml.rpc.Stub;

public class Test {
    
    public static void main(String[] args) {
        if (args.length >= 4) {
            
            // configure for SSL usage
            System.setProperty("java.protocol.handler.pkgs",
                "com.sun.net.ssl.internal.www.protocol");
            System.setProperty("javax.net.ssl.trustStore",
                "/home/dennis/.truststore");
            System.setProperty("javax.net.ssl.trustStoreType", "JKS");
            System.setProperty("javax.net.ssl.trustStorePassword",
                "changeit");
            
            // setup the stub
            Simple stub = null;
            try {
                
                // set the endpoint on the fly, to allow going through monitor
                String host = args[0];
                String port = args[1];
                String target =  "https://" + host + ":" + port +
                    "/axis/services/simple";
                stub = (new SimpleServiceLocator()).getsimple();
                ((Stub)stub)._setProperty(Stub.ENDPOINT_ADDRESS_PROPERTY,
                    target);
                System.out.println("Connecting to service at " + target);
                
            } catch (javax.xml.rpc.ServiceException ex) {
                System.out.println(ex.getMessage());
            }
            
            // try the actual request
            try {
                
                int a = Integer.parseInt(args[2]);
                int b = Integer.parseInt(args[3]);
                int c = stub.add(a, b);
                System.out.println(" " + a + " + " + b + " = " + c);
                
            } catch (Exception ex) {
                System.out.println("Got " + ex.getClass().getName());
                System.out.println(ex.getMessage());
            }
            
        } else {
            System.out.println("Usage: Test host port a b");
        }
    }
}
